## kate 25.12.1+p24.04+vunstable+git20260106.1455

=== pch/CMakeLists.txt ===
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.cpp "/*empty file*/")
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.c "/*empty file*/")

add_library(katepch STATIC ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.cpp ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.c)
target_precompile_headers(katepch PRIVATE pch.h)
set_target_properties(katepch PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(katepch PRIVATE Qt::Core Qt::Gui Qt::Widgets)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

add_library(katepch_tests STATIC ${CMAKE_CURRENT_BINARY_DIR}/empty_pch.cpp)
target_precompile_headers(katepch_tests PRIVATE kate_test_pch.h)
target_link_libraries(katepch_tests PRIVATE Qt::Core)

=== addons/gdbplugin/CMakeLists.txt ===
# Hasn't been ported to Windows yet.

kate_add_plugin(kategdbplugin)
target_compile_definitions(kategdbplugin PRIVATE TRANSLATION_DOMAIN="kategdbplugin")
target_link_libraries(kategdbplugin PRIVATE kateprivate KF6::I18n KF6::TextEditor KF6::KIOGui)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
    DEBUG_SOURCES
    HEADER dapclient_debug.h
    IDENTIFIER DAPCLIENT
    CATEGORY_NAME "kategdbplugin"
)

ki18n_wrap_ui(kategdbplugin debugconfig.ui)

set(DAP_SOURCES
    dap/bus.cpp
    dap/socketbus.cpp
    dap/processbus.cpp
    dap/client.cpp
    dap/entities.cpp
    dap/messages.h
    dap/settings.cpp
    dap/socketprocessbus.cpp
    dap/bus_selector.cpp
)

target_sources(
  kategdbplugin
  PRIVATE
    plugin_kategdb.cpp
    backendinterface.cpp
    configview.cpp
    ioview.cpp
    localsview.cpp
    debugconfigpage.cpp
    stackframe_model.cpp
    stackview.cpp
    breakpointview.cpp

    ${DAP_SOURCES}
    ${DEBUG_SOURCES}
    json_placeholders.cpp
    dapbackend.cpp
    backend.cpp
    launch_json_reader.cpp

    plugin.qrc 
)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (ENABLE_PCH)
    target_precompile_headers(kategdbplugin REUSE_FROM katepch)
endif()

=== addons/gdbplugin/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(test_breakpointview "")
target_include_directories(test_breakpointview PRIVATE ${CMAKE_CURRENT_LIST_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  test_breakpointview
  PRIVATE
    kateprivate
    KF6::TextEditor
    KF6::I18n
    Qt::Test
     $<TARGET_OBJECTS:kategdbplugin>
)

if(ENABLE_PCH)
  target_link_libraries(test_breakpointview PRIVATE katepch)
  target_precompile_headers(test_breakpointview REUSE_FROM katepch_tests)
endif()

target_sources(
  test_breakpointview
  PRIVATE
    test_breakpointview.cpp
)

add_test(NAME kateapp-test_breakpointview COMMAND test_breakpointview ${OFFSCREEN_QPA})
ecm_mark_as_test(test_breakpointview)

=== addons/lspclient/tests/CMakeLists.txt ===
add_executable(lsptestapp "")
target_include_directories(lsptestapp PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)
target_link_libraries(lsptestapp PRIVATE kateprivate KF6::I18n KF6::TextEditor $<TARGET_OBJECTS:lspclientplugin>)
if(ENABLE_PCH)
  target_link_libraries(lsptestapp PRIVATE kateprivate katepch)
endif()

target_sources(
  lsptestapp
  PRIVATE
    lsptestapp.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(lsptestapp REUSE_FROM katepch_tests)
endif()

=== addons/rainbow-parens/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

add_executable(test_rainbowparens "")
target_include_directories(test_rainbowparens PRIVATE ${CMAKE_CURRENT_LIST_DIR}/..)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)
target_link_libraries(
  test_rainbowparens
  PRIVATE
    KF6::TextEditor
    KF6::I18n
    Qt::Test
     $<TARGET_OBJECTS:rainbowparens>
)
if(ENABLE_PCH)
  target_link_libraries(
    test_rainbowparens
    PRIVATE
    katepch
  )
endif()

target_sources(
  test_rainbowparens
  PRIVATE
    test.cpp
)

if(ENABLE_PCH)
    target_precompile_headers(test_rainbowparens REUSE_FROM katepch_tests)
endif()

add_test(NAME kateapp-test_rainbowparens COMMAND test_rainbowparens ${OFFSCREEN_QPA})
ecm_mark_as_test(test_rainbowparens)

=== apps/lib/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test ${QT_MIN_VERSION} QUIET REQUIRED)

# add given tests to run in offscreen rendering
macro(kate_executable_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp tests.qrc)
        target_link_libraries(${_testname}
            PRIVATE
                kateprivate Qt::Test)
        add_test(NAME kateapp-${_testname} COMMAND ${_testname} ${OFFSCREEN_QPA})
        ecm_mark_as_test(${_testname})

        if(ENABLE_PCH)
            target_precompile_headers(${_testname} REUSE_FROM katepch_tests)
        endif()
    endforeach()
endmacro()

kate_executable_tests(
    session_test
    session_manager_test
    sessions_action_test
    urlinfo_test
    json_utils_test
    kate_doc_manager_tests
    location_history_test
    kate_view_mgmt_tests # uses kwrite for tests
    kate_view_mgmt_test2 # uses kate for tests
    bytearraysplitter_tests
    diffwidget_tests
    basic_ui_tests
    doc_or_widget_test
    file_history_tests
    exec_tests
)

# expects some Linux specific idioms
if (UNIX AND (CMAKE_SYSTEM_NAME STREQUAL Linux))
    kate_executable_tests(
        io_tests
    )
    target_link_libraries(io_tests PRIVATE kateprivate)
endif ()

=== apps/lib/io/CMakeLists.txt ===
kcoreaddons_add_plugin(kio_kateexec
    INSTALL_NAMESPACE kf6/kio
)

target_sources(kio_kateexec PRIVATE
    exec.cpp
)

target_link_libraries(kio_kateexec kateprivate KF6::KIOCore KF6::I18n KF6::ConfigCore)

=== debian/changelog ===
kate (4:25.12.1+p24.04+vunstable+git20260106.1455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:55:43 +0000

## kate 25.12.2

=== CMakeLists.txt ===
# 3.16 is required for the ECM version we require
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

# KF6 only
set(QT_MIN_VERSION "6.5.0")
set(KF6_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

# use C++20 like KF6 itself
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF6_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(FeatureSummary)
include(FindIntl)

# Required here so that the version comparison below works
find_package(Qt6Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt6Concurrent ${QT_MIN_VERSION} CONFIG REQUIRED)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6GuiPrivate ${QT_MIN_VERSION} REQUIRED NO_MODULE)
endif()

# Required here so that the ki18n_install/kdoctools_install calls work.
find_package(KF6 ${KF6_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
        CoreAddons
        GuiAddons
        Crash
        IconThemes
        TextEditor
    OPTIONAL_COMPONENTS
        DocTools
)

if (NOT WIN32 AND NOT HAIKU)
    find_package(Intl)
    set_package_properties(Intl PROPERTIES TYPE REQUIRED
        URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
        PURPOSE "Needed for building kate unless glibc is the system libc implementation"
    )
endif()

# define which offscreen platform plugin to use for tests
# windows has issues with offscreen tests in the CI
set(OFFSCREEN_QPA)
if(NOT WIN32)
    set(OFFSCREEN_QPA "-platform" "offscreen")
endif()

# deprecation options
ecm_set_disabled_deprecation_versions(
    QT 6.9
    KF 6.10.0
)

option(ENABLE_PCH "Enable PCH support" ON)
if (ENABLE_PCH)
    add_subdirectory(pch)
endif()

# addons for Kate
ecm_optional_add_subdirectory(addons)

# the Kate & KWrite applications
ecm_optional_add_subdirectory(apps)

# our documentation
ecm_optional_add_subdirectory(doc)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kate (4:25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:51:05 +0000

kate (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:19:43 +0000

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6userfeedback-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qtkeychain-qt6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
         libkf6texteditor-katepart,
         plasma-desktoptheme,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins,
Suggests: darcs,
          exuberant-ctags,
          git,
          khelpcenter (>=24.05~),
          konsole-kpart (>=24.05~),
          mercurial,
          subversion,
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kate5-data,
Replaces: kate5-data,
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: libkf6texteditor-katepart, ${misc:Depends}, ${shlibs:Depends},
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.
